Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Interface XBLConstants

All Known Implementing Classes:
  DefaultXBLManager, XBLOMContentElement, XBLOMDefinitionElement, XBLOMElement, XBLOMHandlerGroupElement, XBLOMImportElement, XBLOMShadowTreeElement, XBLOMTemplateElement, XBLOMXBLElement

    public interface XBLConstants

Define XBL constants, such as tag names, attribute names and namespace URI.

Field Summary
`static String` | `XBL_BINDINGS_ATTRIBUTE`
`static String` | `XBL_BOUND_EVENT_TYPE`
`static String` | `XBL_CONTENT_TAG`
`static String` | `XBL_DEFINITION_TAG`
`static String` | `XBL_ELEMENT_ATTRIBUTE`
`static String` | `XBL_HANDLER_GROUP_TAG`
`static String` | `XBL_IMPORT_TAG`
`static String` | `XBL_INCLUDES_ATTRIBUTE`
`static String` | `XBL_NAMESPACE_URI` Namespace URI for XBL elements and events.
`static String` | `XBL_ONBOUND_ATTRIBUTE`
`static String` | `XBL_ONPREBIND_ATTRIBUTE`
`static String` | `XBL_ONUNBINDING_ATTRIBUTE`
`static String` | `XBL_PREBIND_EVENT_TYPE`
`static String` | `XBL_REF_ATTRIBUTE`
`static String` | `XBL_SHADOW_TREE_TAG`
`static String` | `XBL_TEMPLATE_TAG`
`static String` | `XBL_UNBINDING_EVENT_TYPE`
`static String` | `XBL_XBL_TAG`

Field Detail

### XBL_NAMESPACE_URI

    static final String XBL_NAMESPACE_URI

  Namespace URI for XBL elements and events.

  See Also:
    Constant Field Values

### XBL_PREBIND_EVENT_TYPE

    static final String XBL_PREBIND_EVENT_TYPE

See Also:
  Constant Field Values

### XBL_BOUND_EVENT_TYPE

    static final String XBL_BOUND_EVENT_TYPE

See Also:
  Constant Field Values

### XBL_UNBINDING_EVENT_TYPE

    static final String XBL_UNBINDING_EVENT_TYPE

See Also:
  Constant Field Values

### XBL_ONPREBIND_ATTRIBUTE

    static final String XBL_ONPREBIND_ATTRIBUTE

See Also:
  Constant Field Values

### XBL_ONBOUND_ATTRIBUTE

    static final String XBL_ONBOUND_ATTRIBUTE

See Also:
  Constant Field Values

### XBL_ONUNBINDING_ATTRIBUTE

    static final String XBL_ONUNBINDING_ATTRIBUTE

See Also:
  Constant Field Values

### XBL_XBL_TAG

    static final String XBL_XBL_TAG

See Also:
  Constant Field Values

### XBL_DEFINITION_TAG

    static final String XBL_DEFINITION_TAG

See Also:
  Constant Field Values

### XBL_TEMPLATE_TAG

    static final String XBL_TEMPLATE_TAG

See Also:
  Constant Field Values

### XBL_CONTENT_TAG

    static final String XBL_CONTENT_TAG

See Also:
  Constant Field Values

### XBL_HANDLER_GROUP_TAG

    static final String XBL_HANDLER_GROUP_TAG

See Also:
  Constant Field Values

### XBL_IMPORT_TAG

    static final String XBL_IMPORT_TAG

See Also:
  Constant Field Values

### XBL_SHADOW_TREE_TAG

    static final String XBL_SHADOW_TREE_TAG

See Also:
  Constant Field Values

### XBL_BINDINGS_ATTRIBUTE

    static final String XBL_BINDINGS_ATTRIBUTE

See Also:
  Constant Field Values

### XBL_ELEMENT_ATTRIBUTE

    static final String XBL_ELEMENT_ATTRIBUTE

See Also:
  Constant Field Values

### XBL_INCLUDES_ATTRIBUTE

    static final String XBL_INCLUDES_ATTRIBUTE

See Also:
  Constant Field Values

### XBL_REF_ATTRIBUTE

    static final String XBL_REF_ATTRIBUTE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.